Problem z zainstalowaniem SubtitleEditor z scxd.info

Instalacja Slackware Linux, problemy i wstępna konfiguracja, aktualizacje do nowszych wersji.

Moderatorzy: Moderatorzy, Administratorzy

Awatar użytkownika
VoyciecH
Użytkownik
Posty: 143
Rejestracja: 2007-03-14, 15:20
Lokalizacja: Nysa (Śląski Rzym)
Kontakt:

Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: VoyciecH » 2009-11-08, 00:59

Witam,

czy ktoś wie, w jakim pakiecie jest biblioteka libgtkglextmm-x11-1.2.so.0?

Oto kod:

Kod: Zaznacz cały

$ ldd /usr/bin/subtitleeditor
        libgtkglextmm-x11-1.2.so.0 => not found
        libgdkglextmm-x11-1.2.so.0 => not found
        libgtkglext-x11-1.0.so.0 => not found
        libgdkglext-x11-1.0.so.0 => not found
        libglademm-2.4.so.1 => not found
        libgtkmm-2.4.so.1 => not found
        libgiomm-2.4.so.1 => not found
        libgdkmm-2.4.so.1 => not found
        libatkmm-1.6.so.1 => not found
        libxml++-2.6.so.2 => not found
        libglibmm-2.4.so.1 => not found
        libglademm-2.4.so.1 => not found
        libgtkmm-2.4.so.1 => not found
        libgiomm-2.4.so.1 => not found
        libgdkmm-2.4.so.1 => not found
        libatkmm-1.6.so.1 => not found
        libxml++-2.6.so.2 => not found
        libglibmm-2.4.so.1 => not found
        libglibmm-2.4.so.1 => not found
Z reszta chyba dam sobie rade, ale tej jednej biblioteki nie umiem nigdzie znalezc.
"To, co dla jednego jest chlebem powszednim, dla innych może być olśniewającym objawieniem." (autor mi nieznany)
Inni wiedzą o Tobie więcej niż Ci się wydaje, ale mniej niż im się wydaje.
----------------
Moja stronka: http://linux.media-soft.pl/

Awatar użytkownika
marco70
Moderator
Posty: 1105
Rejestracja: 2006-10-26, 19:03
Lokalizacja: K...l

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: marco70 » 2009-11-08, 10:34

Będziesz musiał sam skompilować gtkglextmm bo na scxd jej niema a w zależnościach subtitleeditor jest.
Slackware 14.0 kde 4.8.5
i5-6500 CPU @ 3.20GHz

Awatar użytkownika
Zielony
Użytkownik
Posty: 535
Rejestracja: 2005-03-17, 18:22
Lokalizacja: Poznań
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: Zielony » 2009-11-08, 12:25

Przede wszystkim, proszę takie błędy zgłaszać w Bugzilli projektu SCXD. Ja również się mylę, potrafię się przyznać do błędu, a nawet go niekiedy naprawić. Niekoniecznie należy szukać pomocy u innych. Osobiście już nie mam zwyczaju przeglądać Forum i o takich zgłoszeniach tutaj dowiaduję się od znajomych.

Paczka gtkglextmm została dodana. Zwyczajnie w świecie musiałem o niej zapomnieć, gdyż u siebie ją miałem.
Żyję - nie każdemu się zdarza - a we krwi mam chlorofil.
[url=http://scxd.info/][img]http://scxd.info/pub/scxdbar/scxd-bar.png[/img][/url]
[b]Registered User #448882[/b]
[img]http://scxd.info/say/img.php[/img]

Awatar użytkownika
VoyciecH
Użytkownik
Posty: 143
Rejestracja: 2007-03-14, 15:20
Lokalizacja: Nysa (Śląski Rzym)
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: VoyciecH » 2009-11-08, 21:57

Zielony pisze:Przede wszystkim, proszę takie błędy zgłaszać w Bugzilli projektu SCXD
No tak. "Ordnung muss sein" (A. Grabowski w filmie Dublerzy :D ), ale to dla mnie za dużo kombinowania. Trzeba się logować, trzeba przypomnieć sobie hasło (jedno z kilkudziestu :D ). A ja uznaję główną zasadę Slackware, żeby robić wszystko najprościej jak się da i jak widać ta zasada się sprawdza. :-)

Ten post był skierowany do Ciebie, a Ty zareagowałeś naprawdę błyskawicznie. Uważam, że robisz kawał dobrej roboty, tak jak i ludzie na tym forum. Ale zgłaszanie błędów u Ciebie jest dla mnie nieco uciążliwe, więc wybacz mi ten zabieg. :-D

P. S. Przydałaby się jeszcze jakaś baza danych plików zawartych w tych archiwach. To by znacznie ułatwiło szukanie wymaganych pakietów, bo ldd wyświetla, których plików bibliotek brakuje, a nie których pakietów. Marzenie...
Zielony pisze:Paczka gtkglextmm została dodana.
Przydałby się jeszcze wpis do ChangeLog.
Ostatnio zmieniony 2009-11-08, 22:08 przez VoyciecH, łącznie zmieniany 1 raz.
"To, co dla jednego jest chlebem powszednim, dla innych może być olśniewającym objawieniem." (autor mi nieznany)
Inni wiedzą o Tobie więcej niż Ci się wydaje, ale mniej niż im się wydaje.
----------------
Moja stronka: http://linux.media-soft.pl/

Awatar użytkownika
Zielony
Użytkownik
Posty: 535
Rejestracja: 2005-03-17, 18:22
Lokalizacja: Poznań
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: Zielony » 2009-11-09, 16:58

VoyciecH pisze:Przydałby się jeszcze wpis do ChangeLog.
ChangeLog na stronie i w RSS-ie generuje się codziennie o północy. Aktualna wersja jest dostępna jedynie na serwerze w http://scxd.info/pub/
Żyję - nie każdemu się zdarza - a we krwi mam chlorofil.
[url=http://scxd.info/][img]http://scxd.info/pub/scxdbar/scxd-bar.png[/img][/url]
[b]Registered User #448882[/b]
[img]http://scxd.info/say/img.php[/img]

Awatar użytkownika
VoyciecH
Użytkownik
Posty: 143
Rejestracja: 2007-03-14, 15:20
Lokalizacja: Nysa (Śląski Rzym)
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: VoyciecH » 2009-11-09, 17:21

W każdym bądź razie dzięki za szybką reakcję i przede wszystkim za pomoc :-)

[ Dodano: 2009-11-09, 21:37 ]
Mam jeszcze jeden problem. Po uruchomieniu programu pojawia się nastepujący błąd:

Kod: Zaznacz cały

$ subtitleeditor
subtitleeditor: symbol lookup error: subtitleeditor: undefined symbol: GST_CAT_DEFAULT
O co w tym chodzi?
"To, co dla jednego jest chlebem powszednim, dla innych może być olśniewającym objawieniem." (autor mi nieznany)
Inni wiedzą o Tobie więcej niż Ci się wydaje, ale mniej niż im się wydaje.
----------------
Moja stronka: http://linux.media-soft.pl/

Sajmon
Moderator
Posty: 1135
Rejestracja: 2004-05-22, 23:19
Lokalizacja: Graz
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: Sajmon » 2009-11-10, 09:07

@VoyciecH: pakiety na scxd są tworzone tylko dla wersji current, a z tego co ja pamiętam Ty używasz 12.2.
[url=http://polish-32053322658.spampoison.com][img]http://pics3.inxhost.com/images/sticker.gif[/img][/url]
perl -e 'print $i=pack(c5,(41*2),sqrt(7056),(unpack(c,H)-2),oct(115),10);'

Awatar użytkownika
VoyciecH
Użytkownik
Posty: 143
Rejestracja: 2007-03-14, 15:20
Lokalizacja: Nysa (Śląski Rzym)
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: VoyciecH » 2009-11-12, 13:04

No ale chyba jest jakieś wyjście? U mnie KDE 4 wiesza się przy wylogowywaniu, no i troszkę muli - mój laptop ma już ładnych kilka latek.
"To, co dla jednego jest chlebem powszednim, dla innych może być olśniewającym objawieniem." (autor mi nieznany)
Inni wiedzą o Tobie więcej niż Ci się wydaje, ale mniej niż im się wydaje.
----------------
Moja stronka: http://linux.media-soft.pl/

Sajmon
Moderator
Posty: 1135
Rejestracja: 2004-05-22, 23:19
Lokalizacja: Graz
Kontakt:

Re: Problem z zainstalowaniem SubtitleEditor z scxd.info

Post autor: Sajmon » 2009-11-14, 21:27

Wyjściem jest kompilacja pakietów na własnym systemie. Na scxd znajdziesz Slackbuildy do każdego pakietu.
[url=http://polish-32053322658.spampoison.com][img]http://pics3.inxhost.com/images/sticker.gif[/img][/url]
perl -e 'print $i=pack(c5,(41*2),sqrt(7056),(unpack(c,H)-2),oct(115),10);'

ODPOWIEDZ